<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css">
<link rel="start" href="../../../../overview-summary.html">

<title>tests/cases/data/testcase-lists-ul.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../../overview-files.html">Files</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../todo-list.html">Todo</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../../index.html" target="_top">Frames</a>
<a href="../../../../source/tests/cases/data/testcase-lists-ul.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/data/testcase-lists-ul.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>    
<a name="line3"></a>    /**
<a name="line4"></a>     * class ListsUl.
<a name="line5"></a>     *
<a name="line6"></a>     * Process a *doc comment* with unordered lists.
<a name="line7"></a>     *
<a name="line8"></a>     * o They could use 'o'.
<a name="line9"></a>     * o Or they could use '-'
<a name="line10"></a>     * o Or +, or #.
<a name="line11"></a>     * 
<a name="line12"></a>     * They can start directly after a paragraph, without a blank line in between:
<a name="line13"></a>     * # Like this. This is a list item.
<a name="line14"></a>     * # The second and last list item. Again, we don't need a blank line afterwards.
<a name="line15"></a>     * This line is not part of the list anymore.
<a name="line16"></a>     *
<a name="line17"></a>     * We also accept multi-line list items:
<a name="line18"></a>     *
<a name="line19"></a>     * + This is the first list item, and it goes on and on and
<a name="line20"></a>     *   on into a second line.
<a name="line21"></a>     * + This one doesn't.
<a name="line22"></a>     * + This is another long one. It, too, spills over into
<a name="line23"></a>     *   a second line because of its wordiness, and it continues
<a name="line24"></a>     *   even further into a third.
<a name="line25"></a>     * 
<a name="line26"></a>     * Lines containing just a bullet point character are not considered part of any list:
<a name="line27"></a>     * -
<a name="line28"></a>     * - But here comes the first real bullet point.
<a name="line29"></a>     * - Another bullet point.
<a name="line30"></a>     * - The list goes on even if there is a blank line in between. Here it is.
<a name="line31"></a>     *
<a name="line32"></a>     * - And we have passed it. It makes sense to capture this because people sometimes spread the
<a name="line33"></a>     *   list items a little. Especially if they have more text in a second line and even more in
<a name="line34"></a>     *   a third.
<a name="line35"></a>     *
<a name="line36"></a>     * - There might be list items which are rather large and in fact consist of several paragraphs.
<a name="line37"></a>     *   Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam blandit, ipsum id porta
<a name="line38"></a>     *   sollicitudin.
<a name="line39"></a>     *
<a name="line40"></a>     *   Dolor dui mattis libero, eget elementum quam tortor a tortor. Fusce turpis lectus, varius
<a name="line41"></a>     *   ut dictum id, mollis eu elit. Morbi magna orci, tincidunt sit amet sagittis eget, rutrum
<a name="line42"></a>     *   eget orci. Vestibulum tempus feugiat dui nec.
<a name="line43"></a>     *
<a name="line44"></a>     *   In nibh velit, luctus id pulvinar eget, tincidunt et sapien. Curabitur sagittis mollis purus,
<a name="line45"></a>     *   nec commodo augue hendrerit quis. Cum sociis natoque penatibus et magnis dis parturient montes!
<a name="line46"></a>     *   
<a name="line47"></a>     * - And an item #6. Enough.
<a name="line48"></a>     * And more text, not part of the preceding list.
<a name="line49"></a>     * 
<a name="line50"></a>     * Lists don't have to be aligned stricty because any accidental hit on the space bar would throw
<a name="line51"></a>     * detection off.
<a name="line52"></a>     *
<a name="line53"></a>     * 		o This is the first list item.
<a name="line54"></a>     *  o This is the second.
<a name="line55"></a>     *   o And a third.
<a name="line56"></a>     *
<a name="line57"></a>     * The same is true for whitespace behind the bullet point.
<a name="line58"></a>     * 
<a name="line59"></a>     * 	+  This is the first list item.
<a name="line60"></a>     *  +    This is the second.
<a name="line61"></a>     *  +   And a third.
<a name="line62"></a>     *
<a name="line63"></a>     * Finally, a single line with a bullet point could be anything and won't be treated as
<a name="line64"></a>     * a list. Because it takes at least two ...
<a name="line65"></a>     * 
<a name="line66"></a>     * - ... to tango. This is not a list.
<a name="line67"></a>     * 
<a name="line68"></a>     * That's it for unordered lists.
<a name="line69"></a>     * 
<a name="line70"></a>     * @author I don't care who did it, but we want to have a tag here.
<a name="line71"></a>     * @package PHPDoctor\Tests
<a name="line72"></a>     */
<a name="line73"></a>    class ListsUl {}
<a name="line74"></a>    
<a name="line75"></a>    
<a name="line76"></a>    
<a name="line77"></a>?></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../../overview-files.html">Files</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../todo-list.html">Todo</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../../index.html" target="_top">Frames</a>
<a href="../../../../source/tests/cases/data/testcase-lists-ul.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>